<?php
set_include_path(get_include_path() . ':../..');
include_once('simpletest/unit_tester.php');
include_once('../classes/ASApplication.php');

class ASApplicationTest extends UnitTestCase
{
	function __construct()
	{
		parent::UnitTestCase("ASApplication Test");
	}
	
	function setUp()
	{
		$this->ASApplication	= new ASApplication();
		$this->keys				= array('one', 'two');
		$this->raw_array		= array('one'=>'foo', 'two'=>'bar');
		$this->target			= new SampleClass();	
	}
	
	function testSetPropertiesForKeys()
	{			
		$this->ASApplication->setPropertiesForKeys($this->keys, $this->raw_array, $this->target);
		$this->assertEqual($this->target->one, 'foo');
		$this->assertEqual($this->target->two, 'bar');
	}
}

class SampleClass
{
	public $one = null;
	public $two = null;
	
	public function setOne($one)
	{
		$this->one = $one;
	}
	
	public function setTwo($two)
	{
		$this->two = $two;
	}
}
?>