<?php
/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Darrell Brogdon.
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectUserAccountModule
 */
?>
<script type="text/javascript"
		 src="<?=BASE_HREF?>/javascripts/user_account/login.js"></script>
<br />
<form id="login_form" 
  method="post"
  action="<?=BASE_HREF?>/Alchitect/server.php">
<div align="center">
	<table border="0" cellpadding="3px" cellspacing="0px" width="300px">
		<thead>
			<tr>
				<th colspan="2">Please log in.</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="login_field_title">Email Address:</td>
				<td>
					<input type="text" 
							 id="email_address"
						   name="email_address"
					   required="true"
					/>
				</td>
			</tr>
			<tr>
				<td class="login_field_title">Password:</td>
				<td>
					<input type="password"
							 id="password"
						   name="password"
					   required="true"
					/>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>
					<input type="hidden"
							 id="page"
						   name="page"
						  value="user_account"
					/>
					<input type="hidden"
							 id="return_to"
						   name="return_to"
						  value="<?=BASE_HREF?>/app/user_account/edit"
					/>
					<input type="hidden"
							 id="form_action"
						   name="form_action"
						  value="login"
					/>
					<input type="submit"
							 id="submit"
						  value="Log In"
						onclick="$('#error').hide()"
					/>
				</td>
			</tr>
		</tbody>
	</table>
</div>
</form>