<?php
/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Alchisoft, LLC
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectCoreServer
 */
class ASFieldProcessor
{
	public $size		= null;
	public $type		= null;
	public $name		= null;
	public $value		= null;
	public $maxlength	= null;
	public $as_type		= null;
	public $as_default	= null;

	public function __construct($field)
	{
		$this->type			= $field->getAttribute('type');
		$this->name			= $field->getAttribute('name');
		$this->value		= $field->getAttribute('value');
		$this->maxlength	= $field->getAttribute('maxlength');
		$this->as_type		= $field->getAttribute('as_type');
		$this->as_default	= $field->getAttribute('as_default');
	}
}
?>