<?php
/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Alchisoft, LLC
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectCoreServer
 */
class ASTextFieldProcessor extends ASFieldProcessor
{
	public function __construct($text_field)
	{
		parent::__construct($text_field);
		
		$this->size = ('' == $this->maxlength ? 255 : $this->maxlength);	
	}
	
	public function sql()
	{
		return sprintf
		(
			"\t%s varchar(%d) not null default '%s',\n"
		  , $this->name
		  , $this->size
		  , $this->as_default
		);
	}
}
?>